Subject: bug#77257: inhibit-message should inhibit echo area clearing too

From: Eli Zaretskii <[email-masked]>
Date: Thu, 27 Mar 2025 15:55:41 +0200

> Date: Thu, 27 Mar 2025 09:09:34 -0400
> From: Daniel Colascione <[email-masked]>
> CC: Stefan Monnier <[email-masked]>, [email-masked]
> 
> 
> 
> On March 27, 2025 8:23:40 AM EDT, [email-masked] wrote:
> >I'm afraid the 2022 maintainer's edict takes priority:
> >
> >"No documentation promised that the previous message will not be
> >cleared when inhibit-message is set.  We just avoid displaying new
> >messages."
> >
> >https://debbugs.gnu.org/cgi/bugreport.cgi?bug=58788
> 
> Thanks for digging that up. I'd suggest revisiting that resolution.

I hope you read everything I wrote in
https://debbugs.gnu.org/cgi/bugreport.cgi?bug=58788#13, not just the
above small part of it, which was picked selectively to make a point.